- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents/upgradeRemoteAgent#body.aspect_1)

**Full name**: projects.locations.instances.remoteAgents.upgradeRemoteAgent

Upgrades a RemoteAgent to the latest available version. Use this method to ensure an agent has the newest features, performance improvements, and security patches.

### HTTP request

`POST https://{endpoint}/v1beta/{name}:upgradeRemoteAgent`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the remote agent to delete. Format: projects/{project}/locations/{location}/instances/{instance}/remoteAgents/{remoteAgent} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.remoteAgents#RemoteAgent`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.remoteAgents.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).